<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>mmWave External Data Structures</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">mmWave External Data Structures<div class="ingroups"><a class="el" href="group___m_m_w_a_v_e.html">mmWave API</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the data structures which are exposed to the application.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___chirp_calibration_cfg__t.html">MMWave_ChirpCalibrationCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp Calibration configuration.  <a href="struct_m_m_wave___chirp_calibration_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___cont_calibration_cfg__t.html">MMWave_ContCalibrationCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Continuous Calibration configuration.  <a href="struct_m_m_wave___cont_calibration_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___calibration_cfg__t.html">MMWave_CalibrationCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calibration configuration.  <a href="struct_m_m_wave___calibration_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___frame_cfg__t.html">MMWave_FrameCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame mode configuration.  <a href="struct_m_m_wave___frame_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___advanced_frame_cfg__t.html">MMWave_AdvancedFrameCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Advanced frame configuration.  <a href="struct_m_m_wave___advanced_frame_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___cont_mode_cfg__t.html">MMWave_ContModeCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Continuous mode configuration.  <a href="struct_m_m_wave___cont_mode_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___ctrl_cfg__t.html">MMWave_CtrlCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Control configuration.  <a href="struct_m_m_wave___ctrl_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___open_cfg__t.html">MMWave_OpenCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open Configuration.  <a href="struct_m_m_wave___open_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___link_c_r_c_cfg__t.html">MMWave_LinkCRCCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Link CRC configuration  <a href="struct_m_m_wave___link_c_r_c_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___cooperative_mode_cfg__t.html">MMWave_CooperativeModeCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Cooperative mode configuration  <a href="struct_m_m_wave___cooperative_mode_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_m_m_wave___init_cfg__t.html">MMWave_InitCfg_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initial Configuration.  <a href="struct_m_m_wave___init_cfg__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga65916881e6975fd7b798a192a968c413"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga65916881e6975fd7b798a192a968c413"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga65916881e6975fd7b798a192a968c413">MMWave_ProfileHandle</a></td></tr>
<tr class="memdesc:ga65916881e6975fd7b798a192a968c413"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Profile Handle <br /></td></tr>
<tr class="separator:ga65916881e6975fd7b798a192a968c413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5be75a75dd1a9ca1b64720b5e0130770"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga5be75a75dd1a9ca1b64720b5e0130770"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5be75a75dd1a9ca1b64720b5e0130770">MMWave_ChirpHandle</a></td></tr>
<tr class="memdesc:ga5be75a75dd1a9ca1b64720b5e0130770"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Chirp Handle <br /></td></tr>
<tr class="separator:ga5be75a75dd1a9ca1b64720b5e0130770"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3047df690e757bf0a32df8c9ae69159"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac3047df690e757bf0a32df8c9ae69159"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac3047df690e757bf0a32df8c9ae69159">MMWave_BpmChirpHandle</a></td></tr>
<tr class="memdesc:gac3047df690e757bf0a32df8c9ae69159"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave BPM configuration Handle <br /></td></tr>
<tr class="separator:gac3047df690e757bf0a32df8c9ae69159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d6bbe67008966d71fe613d14650371a"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga527c6c39adab84597a46ede75c881a4e">MMWave_ErrorLevel_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a></td></tr>
<tr class="memdesc:ga1d6bbe67008966d71fe613d14650371a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Level.  <a href="#ga1d6bbe67008966d71fe613d14650371a">More...</a><br /></td></tr>
<tr class="separator:ga1d6bbe67008966d71fe613d14650371a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga401c95428dc0b5c23fd329773d266694"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3ec10c83371b25c937ea0ca59d30cc6f">MMWave_DFEDataOutputMode_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga401c95428dc0b5c23fd329773d266694">MMWave_DFEDataOutputMode</a></td></tr>
<tr class="memdesc:ga401c95428dc0b5c23fd329773d266694"><td class="mdescLeft">&#160;</td><td class="mdescRight">DFE Data Output Mode.  <a href="#ga401c95428dc0b5c23fd329773d266694">More...</a><br /></td></tr>
<tr class="separator:ga401c95428dc0b5c23fd329773d266694"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga09b7407946fd36a91b7e1327a59a0e40"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3f18adc7fe8f4381adf7038b00de6a8d">MMWave_DefaultAsyncEventHandler_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga09b7407946fd36a91b7e1327a59a0e40">MMWave_DefaultAsyncEventHandler</a></td></tr>
<tr class="memdesc:ga09b7407946fd36a91b7e1327a59a0e40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default Asynchronous Event Handler.  <a href="#ga09b7407946fd36a91b7e1327a59a0e40">More...</a><br /></td></tr>
<tr class="separator:ga09b7407946fd36a91b7e1327a59a0e40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d470bb837d1b92324e975d6eb62f054"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___chirp_calibration_cfg__t.html">MMWave_ChirpCalibrationCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8d470bb837d1b92324e975d6eb62f054">MMWave_ChirpCalibrationCfg</a></td></tr>
<tr class="memdesc:ga8d470bb837d1b92324e975d6eb62f054"><td class="mdescLeft">&#160;</td><td class="mdescRight">Chirp Calibration configuration.  <a href="#ga8d470bb837d1b92324e975d6eb62f054">More...</a><br /></td></tr>
<tr class="separator:ga8d470bb837d1b92324e975d6eb62f054"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3d7ac0d8245ffc4c349c19a00dae43c"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___cont_calibration_cfg__t.html">MMWave_ContCalibrationCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf3d7ac0d8245ffc4c349c19a00dae43c">MMWave_ContCalibrationCfg</a></td></tr>
<tr class="memdesc:gaf3d7ac0d8245ffc4c349c19a00dae43c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Continuous Calibration configuration.  <a href="#gaf3d7ac0d8245ffc4c349c19a00dae43c">More...</a><br /></td></tr>
<tr class="separator:gaf3d7ac0d8245ffc4c349c19a00dae43c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab74b8aa10d9d13ceb14ae43009c9b9f6"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___calibration_cfg__t.html">MMWave_CalibrationCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a></td></tr>
<tr class="memdesc:gab74b8aa10d9d13ceb14ae43009c9b9f6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calibration configuration.  <a href="#gab74b8aa10d9d13ceb14ae43009c9b9f6">More...</a><br /></td></tr>
<tr class="separator:gab74b8aa10d9d13ceb14ae43009c9b9f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad8557d7d15f35b9815a64ea2bd5cc421"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___frame_cfg__t.html">MMWave_FrameCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad8557d7d15f35b9815a64ea2bd5cc421">MMWave_FrameCfg</a></td></tr>
<tr class="memdesc:gad8557d7d15f35b9815a64ea2bd5cc421"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frame mode configuration.  <a href="#gad8557d7d15f35b9815a64ea2bd5cc421">More...</a><br /></td></tr>
<tr class="separator:gad8557d7d15f35b9815a64ea2bd5cc421"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga59061f8227a4f3999b94f3d8bc81c806"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___advanced_frame_cfg__t.html">MMWave_AdvancedFrameCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga59061f8227a4f3999b94f3d8bc81c806">MMWave_AdvancedFrameCfg</a></td></tr>
<tr class="memdesc:ga59061f8227a4f3999b94f3d8bc81c806"><td class="mdescLeft">&#160;</td><td class="mdescRight">Advanced frame configuration.  <a href="#ga59061f8227a4f3999b94f3d8bc81c806">More...</a><br /></td></tr>
<tr class="separator:ga59061f8227a4f3999b94f3d8bc81c806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22d1511333174cfbef64a8cd775fe59f"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___cont_mode_cfg__t.html">MMWave_ContModeCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga22d1511333174cfbef64a8cd775fe59f">MMWave_ContModeCfg</a></td></tr>
<tr class="memdesc:ga22d1511333174cfbef64a8cd775fe59f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Continuous mode configuration.  <a href="#ga22d1511333174cfbef64a8cd775fe59f">More...</a><br /></td></tr>
<tr class="separator:ga22d1511333174cfbef64a8cd775fe59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6123856d31799664ea81b5e6c87d17dc"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___ctrl_cfg__t.html">MMWave_CtrlCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a></td></tr>
<tr class="memdesc:ga6123856d31799664ea81b5e6c87d17dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Control configuration.  <a href="#ga6123856d31799664ea81b5e6c87d17dc">More...</a><br /></td></tr>
<tr class="separator:ga6123856d31799664ea81b5e6c87d17dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7575571078974e8112d94034521df44a"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___open_cfg__t.html">MMWave_OpenCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a></td></tr>
<tr class="memdesc:ga7575571078974e8112d94034521df44a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Open Configuration.  <a href="#ga7575571078974e8112d94034521df44a">More...</a><br /></td></tr>
<tr class="separator:ga7575571078974e8112d94034521df44a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadb65721d6e7abc3c74166a655e184ef4"><td class="memItemLeft" align="right" valign="top">typedef int32_t(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadb65721d6e7abc3c74166a655e184ef4">MMWave_eventFxn</a>) (uint16_t msgId, uint16_t sbId, uint16_t sbLen, uint8_t *payload)</td></tr>
<tr class="separator:gadb65721d6e7abc3c74166a655e184ef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc695fb9208347465b1cb0fb79e02811"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadc695fb9208347465b1cb0fb79e02811">MMWave_cfgFxn</a>) (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrCtrlCfg)</td></tr>
<tr class="separator:gadc695fb9208347465b1cb0fb79e02811"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga19bf7cf2a1ddd370f7c8f3047c1c178e"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga19bf7cf2a1ddd370f7c8f3047c1c178e">MMWave_openFxn</a>) (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a> *ptrOpenCfg)</td></tr>
<tr class="separator:ga19bf7cf2a1ddd370f7c8f3047c1c178e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4cb3d856b3eef939347c75a04f2dbe7"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab4cb3d856b3eef939347c75a04f2dbe7">MMWave_closeFxn</a>) (void)</td></tr>
<tr class="separator:gab4cb3d856b3eef939347c75a04f2dbe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c7cd0b1f8b2ac1eb63533df61c6419a"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0c7cd0b1f8b2ac1eb63533df61c6419a">MMWave_startFxn</a>) (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a> *ptrCalibrationCfg)</td></tr>
<tr class="separator:ga0c7cd0b1f8b2ac1eb63533df61c6419a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga37ef0ff1d39790a2989ec929cb4fd76d"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga37ef0ff1d39790a2989ec929cb4fd76d">MMWave_stopFxn</a>) (void)</td></tr>
<tr class="separator:ga37ef0ff1d39790a2989ec929cb4fd76d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga76cb2dce2992d730557927b3b479fb0c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga76cb2dce2992d730557927b3b479fb0c"></a>
typedef void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga76cb2dce2992d730557927b3b479fb0c">MMWave_Handle</a></td></tr>
<tr class="memdesc:ga76cb2dce2992d730557927b3b479fb0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Handle <br /></td></tr>
<tr class="separator:ga76cb2dce2992d730557927b3b479fb0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadf878102f5e52286828e3514afed48d9"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7b65ad60b136d2c1f643909c34da5828">MMWave_Domain_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadf878102f5e52286828e3514afed48d9">MMWave_Domain</a></td></tr>
<tr class="memdesc:gadf878102f5e52286828e3514afed48d9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execution Domain.  <a href="#gadf878102f5e52286828e3514afed48d9">More...</a><br /></td></tr>
<tr class="separator:gadf878102f5e52286828e3514afed48d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb65bae314caf279aaff4d8ce2a6d1a2"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5bde37a985ac8cf978f7cc5703030e6d">MMWave_ConfigurationMode_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaeb65bae314caf279aaff4d8ce2a6d1a2">MMWave_ConfigurationMode</a></td></tr>
<tr class="memdesc:gaeb65bae314caf279aaff4d8ce2a6d1a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Configuration Mode.  <a href="#gaeb65bae314caf279aaff4d8ce2a6d1a2">More...</a><br /></td></tr>
<tr class="separator:gaeb65bae314caf279aaff4d8ce2a6d1a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga829f6a95072ca52c5bafcdf67a7e0c2e"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa778a715648914569768ea458f9bd57a">MMWave_ExecutionMode_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga829f6a95072ca52c5bafcdf67a7e0c2e">MMWave_ExecutionMode</a></td></tr>
<tr class="memdesc:ga829f6a95072ca52c5bafcdf67a7e0c2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Execution Mode.  <a href="#ga829f6a95072ca52c5bafcdf67a7e0c2e">More...</a><br /></td></tr>
<tr class="separator:ga829f6a95072ca52c5bafcdf67a7e0c2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5091c7d3d7c44675ea5af202a30b92b"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___link_c_r_c_cfg__t.html">MMWave_LinkCRCCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa5091c7d3d7c44675ea5af202a30b92b">MMWave_LinkCRCCfg</a></td></tr>
<tr class="memdesc:gaa5091c7d3d7c44675ea5af202a30b92b"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Link CRC configuration  <a href="#gaa5091c7d3d7c44675ea5af202a30b92b">More...</a><br /></td></tr>
<tr class="separator:gaa5091c7d3d7c44675ea5af202a30b92b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga207fe0c1e7c73be4d7c266da8a38c136"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___cooperative_mode_cfg__t.html">MMWave_CooperativeModeCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga207fe0c1e7c73be4d7c266da8a38c136">MMWave_CooperativeModeCfg</a></td></tr>
<tr class="memdesc:ga207fe0c1e7c73be4d7c266da8a38c136"><td class="mdescLeft">&#160;</td><td class="mdescRight">mmWave Cooperative mode configuration  <a href="#ga207fe0c1e7c73be4d7c266da8a38c136">More...</a><br /></td></tr>
<tr class="separator:ga207fe0c1e7c73be4d7c266da8a38c136"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8668e22e2313c2a987bb28b5a81d29ef"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_m_m_wave___init_cfg__t.html">MMWave_InitCfg_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8668e22e2313c2a987bb28b5a81d29ef">MMWave_InitCfg</a></td></tr>
<tr class="memdesc:ga8668e22e2313c2a987bb28b5a81d29ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initial Configuration.  <a href="#ga8668e22e2313c2a987bb28b5a81d29ef">More...</a><br /></td></tr>
<tr class="separator:ga8668e22e2313c2a987bb28b5a81d29ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the data structures which are exposed to the application. </p>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="ga59061f8227a4f3999b94f3d8bc81c806"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___advanced_frame_cfg__t.html">MMWave_AdvancedFrameCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga59061f8227a4f3999b94f3d8bc81c806">MMWave_AdvancedFrameCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Advanced frame configuration. </p>
<p>The structure specifies the configuration which is required to configure the mmWave link to operate in advanced frame mode </p>

</div>
</div>
<a class="anchor" id="gab74b8aa10d9d13ceb14ae43009c9b9f6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___calibration_cfg__t.html">MMWave_CalibrationCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Calibration configuration. </p>
<p>The structure is used to hold the information which is required to setup the calibration of the RF </p>

</div>
</div>
<a class="anchor" id="gadc695fb9208347465b1cb0fb79e02811"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* MMWave_cfgFxn) (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a> *ptrCtrlCfg)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Application registered callback function which is invoked after the configuration has been used to configure the mmWave link and the BSS. This is applicable only for the XWR16xx. The BSS can be configured only by the MSS <em>or</em> DSS. The callback API is triggered on the remote execution domain (which did not configure the BSS)</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrCtrlCfg</td><td>Pointer to the control configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga8d470bb837d1b92324e975d6eb62f054"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___chirp_calibration_cfg__t.html">MMWave_ChirpCalibrationCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8d470bb837d1b92324e975d6eb62f054">MMWave_ChirpCalibrationCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Chirp Calibration configuration. </p>
<p>The structure is used to hold the information which is required to setup the calibration of the RF while operating in the Chirp mode </p>

</div>
</div>
<a class="anchor" id="gab4cb3d856b3eef939347c75a04f2dbe7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* MMWave_closeFxn) (void)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Application registered callback function which is invoked after the domain has closed the mmWave control module.</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gaeb65bae314caf279aaff4d8ce2a6d1a2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5bde37a985ac8cf978f7cc5703030e6d">MMWave_ConfigurationMode_e</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaeb65bae314caf279aaff4d8ce2a6d1a2">MMWave_ConfigurationMode</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configuration Mode. </p>
<p>The mmWave API can be used in either of the following configuration modes. </p>

</div>
</div>
<a class="anchor" id="gaf3d7ac0d8245ffc4c349c19a00dae43c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___cont_calibration_cfg__t.html">MMWave_ContCalibrationCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf3d7ac0d8245ffc4c349c19a00dae43c">MMWave_ContCalibrationCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Continuous Calibration configuration. </p>
<p>The structure is used to hold the information which is required to setup the calibration of the RF while operating in continuous mode </p>

</div>
</div>
<a class="anchor" id="ga22d1511333174cfbef64a8cd775fe59f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___cont_mode_cfg__t.html">MMWave_ContModeCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga22d1511333174cfbef64a8cd775fe59f">MMWave_ContModeCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Continuous mode configuration. </p>
<p>The structure specifies the configuration which is required to configure the mmWave link to operate in continuous mode </p>

</div>
</div>
<a class="anchor" id="ga207fe0c1e7c73be4d7c266da8a38c136"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___cooperative_mode_cfg__t.html">MMWave_CooperativeModeCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga207fe0c1e7c73be4d7c266da8a38c136">MMWave_CooperativeModeCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mmWave Cooperative mode configuration </p>
<p>The structure is used to describe configuration supported if the mmWave is executing in cooperative mode. In this mode each mmWave module domain is capable of executing the mmWave API and is also responsible for notifying its peer execution domain on the reception of configuration/events. </p>

</div>
</div>
<a class="anchor" id="ga6123856d31799664ea81b5e6c87d17dc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___ctrl_cfg__t.html">MMWave_CtrlCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga6123856d31799664ea81b5e6c87d17dc">MMWave_CtrlCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Control configuration. </p>
<p>The structure specifies the configuration which is required to configure and setup the BSS. </p>

</div>
</div>
<a class="anchor" id="ga09b7407946fd36a91b7e1327a59a0e40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3f18adc7fe8f4381adf7038b00de6a8d">MMWave_DefaultAsyncEventHandler_e</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga09b7407946fd36a91b7e1327a59a0e40">MMWave_DefaultAsyncEventHandler</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default Asynchronous Event Handler. </p>
<p>Enumeration describes the entity which is responsible for the reception of asynchronous events from the BSS. By default the BSS assumes that the MSS is the recepient of asynchronous events such as CPU &amp; ESM Faults etc. </p>

</div>
</div>
<a class="anchor" id="ga401c95428dc0b5c23fd329773d266694"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3ec10c83371b25c937ea0ca59d30cc6f">MMWave_DFEDataOutputMode_e</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga401c95428dc0b5c23fd329773d266694">MMWave_DFEDataOutputMode</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>DFE Data Output Mode. </p>
<p>The enumeration describes the mode in which the DFE outputs the data </p>

</div>
</div>
<a class="anchor" id="gadf878102f5e52286828e3514afed48d9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7b65ad60b136d2c1f643909c34da5828">MMWave_Domain_e</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gadf878102f5e52286828e3514afed48d9">MMWave_Domain</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Execution Domain. </p>
<p>Enumeration describes the execution domain for the mmWave </p>

</div>
</div>
<a class="anchor" id="ga1d6bbe67008966d71fe613d14650371a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga527c6c39adab84597a46ede75c881a4e">MMWave_ErrorLevel_e</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga1d6bbe67008966d71fe613d14650371a">MMWave_ErrorLevel</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Error Level. </p>
<p>The mmWave module API can return different error levels. The enumeration describes different error levels. Please refer to the MMWave error decode function on the interpretation of this error level.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab01615f3c8764a3e638a6d5261733e55">MMWave_decodeError</a> </dd></dl>

</div>
</div>
<a class="anchor" id="gadb65721d6e7abc3c74166a655e184ef4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef int32_t(* MMWave_eventFxn) (uint16_t msgId, uint16_t sbId, uint16_t sbLen, uint8_t *payload)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Application registered callback function which hooks up with the mmWave Link events generated by the BSS. Please refer to the mmWave Link documentation on more information about these parameters.</p>
<p><em>NOTE</em>: On the XWR16xx (In cooperative mode) asynchronous events are received and passed to the application. The event is also forwarded to the remote domain. In certain cases application would like to reduce the overhead of passing the message to the remote domain in which case the event handler should return 1 which implies that the event is consumed (Hijacked) by the application. Setting the return value to 0 would imply that the event is passed to the remote peer. Applications can use this mechanism to ensure that only certain events are passed between domains.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">msgId</td><td>Message Identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbId</td><td>Subblock identifier </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">sbLen</td><td>Length of the subblock </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">payload</td><td>Pointer to the payload buffer</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">1</td><td>- Hijack the event and do not pass to the peer domain (If applicable) </td></tr>
    <tr><td class="paramname">0</td><td>- Pass the event to the peer domain (If applicable) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga829f6a95072ca52c5bafcdf67a7e0c2e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa778a715648914569768ea458f9bd57a">MMWave_ExecutionMode_e</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga829f6a95072ca52c5bafcdf67a7e0c2e">MMWave_ExecutionMode</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Execution Mode. </p>
<p>The enumeration is valid only for the XWR16xx and indicates if the mmWave module is executing in isolation or cooperative mode. </p>

</div>
</div>
<a class="anchor" id="gad8557d7d15f35b9815a64ea2bd5cc421"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___frame_cfg__t.html">MMWave_FrameCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gad8557d7d15f35b9815a64ea2bd5cc421">MMWave_FrameCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Frame mode configuration. </p>
<p>The structure specifies the configuration which is required to configure the mmWave link to operate in frame mode </p>

</div>
</div>
<a class="anchor" id="ga8668e22e2313c2a987bb28b5a81d29ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___init_cfg__t.html">MMWave_InitCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga8668e22e2313c2a987bb28b5a81d29ef">MMWave_InitCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initial Configuration. </p>
<p>The structure specifies the configuration which is required to initialize and setup the mmWave module. </p>

</div>
</div>
<a class="anchor" id="gaa5091c7d3d7c44675ea5af202a30b92b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___link_c_r_c_cfg__t.html">MMWave_LinkCRCCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa5091c7d3d7c44675ea5af202a30b92b">MMWave_LinkCRCCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>mmWave Link CRC configuration </p>
<p>The structure is used to describe the CRC configuration. The mmWaveLink messages exchanged between the MSS/DSS and BSS have a checksum applied. The configuration determines if the checksum computation is to use the CRC Driver <em>OR</em> should the computation be done in the software. </p>

</div>
</div>
<a class="anchor" id="ga7575571078974e8112d94034521df44a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="struct_m_m_wave___open_cfg__t.html">MMWave_OpenCfg_t</a> <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Open Configuration. </p>
<p>The structure specifies the configuration which is required to open the MMWave module. Once the MMWave module has been opened the mmWave link to the BSS is operational. </p>

</div>
</div>
<a class="anchor" id="ga19bf7cf2a1ddd370f7c8f3047c1c178e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* MMWave_openFxn) (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7575571078974e8112d94034521df44a">MMWave_OpenCfg</a> *ptrOpenCfg)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Application registered callback function which is invoked after the domain has opened the mmWave control module. The BSS has been initialized at this point in time. Applications can use the link API from this point in time. The callback API is only triggered in the remote execution domain.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrOpenCfg</td><td>Pointer to the open configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga0c7cd0b1f8b2ac1eb63533df61c6419a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* MMWave_startFxn) (<a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab74b8aa10d9d13ceb14ae43009c9b9f6">MMWave_CalibrationCfg</a> *ptrCalibrationCfg)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Application registered callback function which is invoked on the peer domain just before the mmWave link is started on the BSS.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">ptrCalibrationCfg</td><td>Pointer to the calibration configuration</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga37ef0ff1d39790a2989ec929cb4fd76d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* MMWave_stopFxn) (void)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Application registered callback function which is invoked the mmWave link on BSS has been stopped. This is applicable only for the XWR16xx. The BSS can be configured only by the MSS <em>or</em> DSS. The callback API is triggered on the remote execution domain (which did not configure the BSS)</p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>applicable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="ga5bde37a985ac8cf978f7cc5703030e6d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga5bde37a985ac8cf978f7cc5703030e6d">MMWave_ConfigurationMode_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Configuration Mode. </p>
<p>The mmWave API can be used in either of the following configuration modes. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga5bde37a985ac8cf978f7cc5703030e6da5c3de87197769403130273c351d28239"></a>MMWave_ConfigurationMode_MINIMAL&#160;</td><td class="fielddoc">
<p>Minimal configuration: </p>
<p>In this mode the mmWave is responsible for the following:-</p><ul>
<li>Setting up the mmWave Link Transport to the BSS</li>
<li>Start/Stop/Synch capability with the BSS &amp; DSS(if applicable)</li>
<li>Asynch BSS Event notification to the peer domain (if applicable)</li>
<li>mmWave Link initialization</li>
<li><em>No</em> dynamic memory allocation</li>
</ul>
<p>The application is responsible for the following:-</p><ul>
<li>Using the mmWave Link to configure the BSS</li>
<li>Configuration management for the Profile/Chirp and Frame</li>
<li>Sending messages to the peer domain (if applicable)</li>
</ul>
<p>This mode is useful for advanced users. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga5bde37a985ac8cf978f7cc5703030e6da8851b6162caed9495e07cad2655148be"></a>MMWave_ConfigurationMode_FULL&#160;</td><td class="fielddoc">
<p>Full configuration: </p>
<p>In this mode the mmWave is responsible for the following:-</p><ul>
<li>Setting up the mmWave Link Transport to the BSS</li>
<li>Start/Stop/Synch capability with the BSS &amp; DSS (if applicable)</li>
<li>Asynch BSS Event notification to the peer domain (if applicable)</li>
<li>mmWave Link initialization</li>
<li>Using the mmWave Link to configure the BSS</li>
<li>Configuration management for the Profile/Chirp and Frame</li>
<li>Sending messages to the peer domain (if applicable)</li>
<li>Dynamic memory allocation</li>
</ul>
<p>The application is only responsible for tracking mmWave handles.</p>
<p>This mode is useful for basic users. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga3f18adc7fe8f4381adf7038b00de6a8d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3f18adc7fe8f4381adf7038b00de6a8d">MMWave_DefaultAsyncEventHandler_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Default Asynchronous Event Handler. </p>
<p>Enumeration describes the entity which is responsible for the reception of asynchronous events from the BSS. By default the BSS assumes that the MSS is the recepient of asynchronous events such as CPU &amp; ESM Faults etc. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga3f18adc7fe8f4381adf7038b00de6a8da1bc75fe5e9ae8bd168255411bce457c4"></a>MMWave_DefaultAsyncEventHandler_MSS&#160;</td><td class="fielddoc">
<p>The MSS is the default handler for the asynchronous event. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga3f18adc7fe8f4381adf7038b00de6a8da069775054f9d1f0db400426adbe970d1"></a>MMWave_DefaultAsyncEventHandler_DSS&#160;</td><td class="fielddoc">
<p>The DSS is the default handler for the asynchronous event. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga3ec10c83371b25c937ea0ca59d30cc6f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga3ec10c83371b25c937ea0ca59d30cc6f">MMWave_DFEDataOutputMode_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>DFE Data Output Mode. </p>
<p>The enumeration describes the mode in which the DFE outputs the data </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga3ec10c83371b25c937ea0ca59d30cc6fab3dbcfdb67fbdfae5ec2275eb0165652"></a>MMWave_DFEDataOutputMode_FRAME&#160;</td><td class="fielddoc">
<p>The DFE is operating in Frame mode. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga3ec10c83371b25c937ea0ca59d30cc6fa5ab0cd83f64d4dbab23c2b69c1900ded"></a>MMWave_DFEDataOutputMode_CONTINUOUS&#160;</td><td class="fielddoc">
<p>The DFE is operating in continuous mode. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga3ec10c83371b25c937ea0ca59d30cc6fa3aa1d8326feebc9ff6d5aa26c9a1a808"></a>MMWave_DFEDataOutputMode_ADVANCED_FRAME&#160;</td><td class="fielddoc">
<p>The DFE is operating in advanced frame mode. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga7b65ad60b136d2c1f643909c34da5828"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga7b65ad60b136d2c1f643909c34da5828">MMWave_Domain_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Execution Domain. </p>
<p>Enumeration describes the execution domain for the mmWave </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga7b65ad60b136d2c1f643909c34da5828a6bd7da73e8c7769d071fc85da0c5653e"></a>MMWave_Domain_MSS&#160;</td><td class="fielddoc">
<p>The mmWave is executing in the MSS domain. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga7b65ad60b136d2c1f643909c34da5828a46af090da799f3b7debe31695b6cca70"></a>MMWave_Domain_DSS&#160;</td><td class="fielddoc">
<p>The mmWave is executing in the DSS domain. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="ga527c6c39adab84597a46ede75c881a4e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga527c6c39adab84597a46ede75c881a4e">MMWave_ErrorLevel_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Error Level. </p>
<p>The mmWave module API can return different error levels. The enumeration describes different error levels. Please refer to the MMWave error decode function on the interpretation of this error level.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___m_m_w_a_v_e___c_t_r_l___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab01615f3c8764a3e638a6d5261733e55">MMWave_decodeError</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="gga527c6c39adab84597a46ede75c881a4ea6ba99ddfc87cd2d92dcbec4d20a39cbc"></a>MMWave_ErrorLevel_SUCCESS&#160;</td><td class="fielddoc">
<p>The mmWave API was successful. There were no errors detected. There is no reason to perform any error decode here. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga527c6c39adab84597a46ede75c881a4ea6f4f8dc5acf9d7d2cdf34c2c18b8e539"></a>MMWave_ErrorLevel_WARNING&#160;</td><td class="fielddoc">
<p>The mmWave API reported a warning. Application can either ignore this error message <em>OR</em> can perform the error decoding to get more information on the actual reason. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="gga527c6c39adab84597a46ede75c881a4ea906a21ed1848db959804246b56c250af"></a>MMWave_ErrorLevel_ERROR&#160;</td><td class="fielddoc">
<p>The mmWave API reported an error and applications should perform error decoding to get the exact reason for the failure. </p>
</td></tr>
</table>

</div>
</div>
<a class="anchor" id="gaa778a715648914569768ea458f9bd57a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group___m_m_w_a_v_e___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaa778a715648914569768ea458f9bd57a">MMWave_ExecutionMode_e</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Execution Mode. </p>
<p>The enumeration is valid only for the XWR16xx and indicates if the mmWave module is executing in isolation or cooperative mode. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="ggaa778a715648914569768ea458f9bd57aa1bacf1a206c4a6b4afa37e1e819b57cf"></a>MMWave_ExecutionMode_ISOLATION&#160;</td><td class="fielddoc">
<p>Isolation mode: In this mode the mmWave executes only on the DSS or MSS. There is no exchange of the MMWave configuration or events between the DSS or MSS. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="ggaa778a715648914569768ea458f9bd57aa92c99ef3c181b3183e964289432393b6"></a>MMWave_ExecutionMode_COOPERATIVE&#160;</td><td class="fielddoc">
<p>Cooperative mode: In this mode the mmWave executes on both the DSS and MSS. MMWave configuration and events are shared between the mmWave execution domains. </p>
<p>NOTE: In order for the DSS and MSS realms to communicate with each other the mmWave uses the Mailbox driver with Virtual channel 7. Please ensure that this virtual channel is not used for any other purpose. </p>
</td></tr>
</table>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
